summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-06-11 08:17:59 -0500
committer Erik Hanson <erik@slackbuilds.org>2014-06-11 08:17:59 -0500
commit7016168487342453f814a6a2d1920a6feb70e673 (patch)
tree5998192a53c4d579d8d2086454285ea5e9205345
parent66c45e494f10598a817800ff20b7bd2967a63ff8 (diff)
downloadslackbuilds-7016168487342453f814a6a2d1920a6feb70e673.tar.gz
slackbuilds-7016168487342453f814a6a2d1920a6feb70e673.tar.xz
academic/gnucap: Added (A modern analog and mixed signal circuit simulator)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--academic/gnucap/README5
-rw-r--r--academic/gnucap/doinst.sh9
-rw-r--r--academic/gnucap/gnucap.SlackBuild123
-rw-r--r--academic/gnucap/gnucap.info10
-rw-r--r--academic/gnucap/gnucap.pngbin0 -> 6882 bytes
-rw-r--r--academic/gnucap/slack-desc19
6 files changed, 166 insertions, 0 deletions
diff --git a/academic/gnucap/README b/academic/gnucap/README
new file mode 100644
index 0000000000..f49fdae960
--- /dev/null
+++ b/academic/gnucap/README
@@ -0,0 +1,5 @@
+Gnucap is a modern “post-spice” analog and mixed signal circuit simulator.
+Gnucap is designed so it can eventually replace Spice. Today, it can
+replace Spice in some applications. There are some significant
+technical advantages. It is a work in progress. New features are
+added regularly as time and demand permits.
diff --git a/academic/gnucap/doinst.sh b/academic/gnucap/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/academic/gnucap/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/gnucap/gnucap.SlackBuild b/academic/gnucap/gnucap.SlackBuild
new file mode 100644
index 0000000000..24b68142d7
--- /dev/null
+++ b/academic/gnucap/gnucap.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for Gnucap
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnucap
+VERSION=${VERSION:-2009-12-07}
+PKGVER=20091207
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGVER \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
+cp $CWD/$PRGNAM.png $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+chmod -x $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVER
+cp -a AUTHORS COPYING README INSTALL $PKG/usr/doc/$PRGNAM-$PKGVER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.SlackBuild
+cp $CWD/$PRGNAM.png $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.png
+cp $PKG/usr/share/gnucap/doc/acs-tutorial $PKG/usr/doc/$PRGNAM-$PKGVER/acs-tutorial
+mv $PKG/usr/share/gnucap/examples $PKG/usr/doc/$PRGNAM-$PKGVER/examples
+rm -rf $PKG/usr/share/gnucap
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/share/applications
+cat <<EOF > $PKG/usr/share/applications/$PRGNAM.desktop
+[Desktop Entry]
+Encoding=UTF-8
+Name=Gnucap
+Comment=True mixed mode circuit simulator
+Exec=gnucap
+Terminal=true
+Type=Application
+Categories=Science
+Icon=gnucap
+StartupNotify=true
+EOF
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/gnucap/gnucap.info b/academic/gnucap/gnucap.info
new file mode 100644
index 0000000000..93df461ecc
--- /dev/null
+++ b/academic/gnucap/gnucap.info
@@ -0,0 +1,10 @@
+PRGNAM="gnucap"
+VERSION="20091207"
+HOMEPAGE="http://www.gnucap.org/dokuwiki/doku.php?id=gnucap:start"
+DOWNLOAD="http://www.gnucap.org/devel/archive/gnucap-2009-12-07.tar.gz"
+MD5SUM="30701d110a3e642c5826358c64d2fb1b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/academic/gnucap/gnucap.png b/academic/gnucap/gnucap.png
new file mode 100644
index 0000000000..83b6452559
--- /dev/null
+++ b/academic/gnucap/gnucap.png
Binary files differ
diff --git a/academic/gnucap/slack-desc b/academic/gnucap/slack-desc
new file mode 100644
index 0000000000..024f44f50b
--- /dev/null
+++ b/academic/gnucap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnucap: gnucap (A modern analog and mixed signal circuit simulator)
+gnucap:
+gnucap: Gnucap is designed so it can eventually replace Spice.
+gnucap: Today, it can replace Spice in some applications.
+gnucap: There are some significant technical advantages. It is a work
+gnucap: in progress. New features are added regularly
+gnucap: as time and demand permits.
+gnucap:
+gnucap:
+gnucap:
+gnucap: